import{s as st,n as it,o as lt}from"../chunks/scheduler.b108d059.js";import{S as rt,i as ut,g as i,s as o,r as x,A as pt,h as l,f as a,c as s,j as nt,u as _,x as u,k as ot,y as dt,a as n,v as k,d as P,t as H,w as L}from"../chunks/index.008de539.js";import{C as ct}from"../chunks/CodeBlock.3968c746.js";import{H as Y}from"../chunks/Heading.88bfeb84.js";function mt(B){let r,j,C,z,p,M,d,J="🤗 AutoTrain is a no-code tool for training state-of-the-art models for Natural Language Processing (NLP) tasks, for Computer Vision (CV) tasks, and for Speech tasks and even for Tabular tasks. It is built on top of the awesome tools developed by the Hugging Face team, and it is designed to be easy to use.",S,c,W,m,O="AutoTrain is for anyone who wants to train a state-of-the-art model for a NLP, CV, Speech or Tabular task, but doesn’t want to spend time on the technical details of training a model. AutoTrain is also for anyone who wants to train a model for a custom dataset, but doesn’t want to spend time on the technical details of training a model. Our goal is to make it easy for anyone to train a state-of-the-art model for any task and our focus is not just data scientists or machine learning engineers, but also non-technical users.",N,f,U,h,K="We offer several ways to use AutoTrain:",E,g,Q='<li><p>No code users can use <code>AutoTrain Advanced</code> by creating a new space with AutoTrain Docker image: <a href="https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced" rel="nofollow">https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced</a>. Please make sure you keep the space private.</p></li> <li><p>Developers can access and build on top of AutoTrain using python api or run AutoTrain Advanced UI locally. The python api is available in the <code>autotrain-advanced</code> package. You can install it using pip:</p></li>',F,v,q,w,G,$,X="AutoTrain Advanced processes your data either in a Hugging Face Space or locally (if installed locally using pip). This saves one time since the data processing is not done by the AutoTrain backend, resulting in your job not being queued. AutoTrain Advanced also allows you to use your own hardware (better CPU and RAM) to process the data, thus, making the data processing faster.",V,T,tt="Using AutoTrain Advanced, advanced users can also control the hyperparameters used for training per job. This allows you to train multiple models with different hyperparameters and compare the results.",I,A,et="Everything else is the same as AutoTrain. You can use AutoTrain Advanced to train models for NLP, CV, Speech and Tabular tasks.",Z,y,at='We recommend using <a href="https://huggingface.co/new-space?template=autotrain-projects/autotrain-advanced" rel="nofollow">AutoTrain Advanced</a> since it is faster, more flexible and will have more supported tasks and features in the future.',D,b,R;return p=new Y({props:{title:"AutoTrain",local:"autotrain",headingTag:"h1"}}),c=new Y({props:{title:"Who should use AutoTrain?",local:"who-should-use-autotrain",headingTag:"h2"}}),f=new Y({props:{title:"How to use AutoTrain?",local:"how-to-use-autotrain",headingTag:"h2"}}),v=new ct({props:{code:"cGlwJTIwaW5zdGFsbCUyMGF1dG90cmFpbi1hZHZhbmNlZA==",highlighted:"pip install autotrain-advanced",wrap:!1}}),w=new Y({props:{title:"What is AutoTrain Advanced?",local:"what-is-autotrain-advanced",headingTag:"h2"}}),{c(){r=i("meta"),j=o(),C=i("p"),z=o(),x(p.$$.fragment),M=o(),d=i("p"),d.textContent=J,S=o(),x(c.$$.fragment),W=o(),m=i("p"),m.textContent=O,N=o(),x(f.$$.fragment),U=o(),h=i("p"),h.textContent=K,E=o(),g=i("ul"),g.innerHTML=Q,F=o(),x(v.$$.fragment),q=o(),x(w.$$.fragment),G=o(),$=i("p"),$.textContent=X,V=o(),T=i("p"),T.textContent=tt,I=o(),A=i("p"),A.textContent=et,Z=o(),y=i("p"),y.innerHTML=at,D=o(),b=i("p"),this.h()},l(t){const e=pt("svelte-u9bgzb",document.head);r=l(e,"META",{name:!0,content:!0}),e.forEach(a),j=s(t),C=l(t,"P",{}),nt(C).forEach(a),z=s(t),_(p.$$.fragment,t),M=s(t),d=l(t,"P",{"data-svelte-h":!0}),u(d)!=="svelte-jkx7zk"&&(d.textContent=J),S=s(t),_(c.$$.fragment,t),W=s(t),m=l(t,"P",{"data-svelte-h":!0}),u(m)!=="svelte-1sziyz1"&&(m.textContent=O),N=s(t),_(f.$$.fragment,t),U=s(t),h=l(t,"P",{"data-svelte-h":!0}),u(h)!=="svelte-grs4nb"&&(h.textContent=K),E=s(t),g=l(t,"UL",{"data-svelte-h":!0}),u(g)!=="svelte-8hs3ui"&&(g.innerHTML=Q),F=s(t),_(v.$$.fragment,t),q=s(t),_(w.$$.fragment,t),G=s(t),$=l(t,"P",{"data-svelte-h":!0}),u($)!=="svelte-aqzez7"&&($.textContent=X),V=s(t),T=l(t,"P",{"data-svelte-h":!0}),u(T)!=="svelte-f09zbw"&&(T.textContent=tt),I=s(t),A=l(t,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1lbly1y"&&(A.textContent=et),Z=s(t),y=l(t,"P",{"data-svelte-h":!0}),u(y)!=="svelte-13yqtc9"&&(y.innerHTML=at),D=s(t),b=l(t,"P",{}),nt(b).forEach(a),this.h()},h(){ot(r,"name","hf:doc:metadata"),ot(r,"content",ft)},m(t,e){dt(document.head,r),n(t,j,e),n(t,C,e),n(t,z,e),k(p,t,e),n(t,M,e),n(t,d,e),n(t,S,e),k(c,t,e),n(t,W,e),n(t,m,e),n(t,N,e),k(f,t,e),n(t,U,e),n(t,h,e),n(t,E,e),n(t,g,e),n(t,F,e),k(v,t,e),n(t,q,e),k(w,t,e),n(t,G,e),n(t,$,e),n(t,V,e),n(t,T,e),n(t,I,e),n(t,A,e),n(t,Z,e),n(t,y,e),n(t,D,e),n(t,b,e),R=!0},p:it,i(t){R||(P(p.$$.fragment,t),P(c.$$.fragment,t),P(f.$$.fragment,t),P(v.$$.fragment,t),P(w.$$.fragment,t),R=!0)},o(t){H(p.$$.fragment,t),H(c.$$.fragment,t),H(f.$$.fragment,t),H(v.$$.fragment,t),H(w.$$.fragment,t),R=!1},d(t){t&&(a(j),a(C),a(z),a(M),a(d),a(S),a(W),a(m),a(N),a(U),a(h),a(E),a(g),a(F),a(q),a(G),a($),a(V),a(T),a(I),a(A),a(Z),a(y),a(D),a(b)),a(r),L(p,t),L(c,t),L(f,t),L(v,t),L(w,t)}}}const ft='{"title":"AutoTrain","local":"autotrain","sections":[{"title":"Who should use AutoTrain?","local":"who-should-use-autotrain","sections":[],"depth":2},{"title":"How to use AutoTrain?","local":"how-to-use-autotrain","sections":[],"depth":2},{"title":"What is AutoTrain Advanced?","local":"what-is-autotrain-advanced","sections":[],"depth":2}],"depth":1}';function ht(B){return lt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tt extends rt{constructor(r){super(),ut(this,r,ht,mt,st,{})}}export{Tt as component};
